Bug 798827 - RFE: Allow Process as <chapter> or <section>
Summary: RFE: Allow Process as <chapter> or <section>
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor   
(Show other bugs)
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 749735 799821
TreeView+ depends on / blocked
 
Reported: 2012-03-01 02:11 UTC by Joshua Wulf
Modified: 2014-10-19 23:00 UTC (History)
2 users (show)

Fixed In Version: 0.22.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 01:31:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Wulf 2012-03-01 02:11:10 UTC
Allow a Process: to be defined at either the level of Section: or Chapter:, and instantiate as either one depending on the level it was defined at.

So the following would be valid:

Chapter: Download
  Download the Server [45]

Process: Install
  Installation [345]
  Something Else [N, Task]

Chapter: Configure
  Process: Get an account
    Step One [34]

Comment 1 Lee Newson 2012-03-05 06:20:44 UTC
Added in 0.22.0

Processes can now be at the chapter or section level of a content specification. Processes still cannot contain other sections or processes, they can only contain topics.

Comment 2 Joshua Wulf 2012-03-28 10:03:43 UTC
I wanted to do this:

Process: Tutorial: Existing Content Spec
  Goals of the "Existing Content Spec" Tutorial [7236]  [P:T1]
  Configure csprocessor for the test server [6240] [T8]
  List the Content Specs on the server [6230] [P: T8]
  Check out the "Existing Content Spec" Project [7243] 
  Build the Content Spec to HTML and View the Output in a Browser [7220] 
  Section: Build Features
    Author Attribution [6327]
    Author Attribution in the "Existing Content Spec" book [7224]

Could we allow this when the sub-Sections do not contain tasks {1}?

That would allow digressionary explanations during a Process. 

Against {1}: that may not be a good information design pattern - interrupting a process with too much explanation.

Alternatively, perhaps the Process could end at the first sub-section {2}?

If it were {2}, the above would effectively be:

<Chapter>
 <Process>
  Goals of the "Existing Content Spec" Tutorial [7236]  [P:T1]
  Configure csprocessor for the test server [6240] [T8]
  List the Content Specs on the server [6230] [P: T8]
  Check out the "Existing Content Spec" Project [7243] 
  Build the Content Spec to HTML and View the Output in a Browser [7220] 
 </Process>
  <Section/>
</Chapter>

where the Process and the Chapter share the same title, or the Chapter inherits its title from the Process...

Against {2}: it wouldn't be clear in the content spec where the Process begins and ends if it ends at the first sub-section, unless you know that that's how it works.

In the meantime I've left it as a Chapter and manually wired the prerequisites together. Is there a better existing pattern to use?

Comment 3 Lee Newson 2013-06-07 01:31:21 UTC
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.


Note You need to log in before you can comment on or make changes to this bug.